RDKit: ForceFields::MMFF::MMFFHerschbachLaurieCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFHerschbachLaurieCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFHerschbachLaurie * | operator() (const int iRow, const int jRow) const
| Looks up the parameters for a particular key and returns them.
| MMFFHerschbachLaurieCollection (std::string mmffHerschbachLaurie="")

## Public Attributes
std::vector< MMFFHerschbachLaurie > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iRow
| periodic row number vector for atom i
std::vector< std::uint8_t > | d_jRow
| periodic row number vector for atom j

## Detailed Description

Definition at line 427 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFHerschbachLaurieCollection()

ForceFields::MMFF::MMFFHerschbachLaurieCollection::MMFFHerschbachLaurieCollection | ( | std::string | mmffHerschbachLaurie = "" | ) |

References d_params.

## Member Function Documentation

## ◆ operator()()

const MMFFHerschbachLaurie * ForceFields::MMFF::MMFFHerschbachLaurieCollection::operator() | ( | const int | iRow,
|  | const int | jRow ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFHerschbachLaurie object, NULL on failure.

Definition at line 433 of file MMFF/Params.h.

References d_iRow, d_jRow, and d_params.

## Member Data Documentation

## ◆ d_iRow

std::vector<std::uint8_t> ForceFields::MMFF::MMFFHerschbachLaurieCollection::d_iRow

periodic row number vector for atom i

Definition at line 473 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_jRow

std::vector<std::uint8_t> ForceFields::MMFF::MMFFHerschbachLaurieCollection::d_jRow

periodic row number vector for atom j

Definition at line 474 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_params

std::vector<MMFFHerschbachLaurie> ForceFields::MMFF::MMFFHerschbachLaurieCollection::d_params

the parameter vector

Definition at line 472 of file MMFF/Params.h.

Referenced by MMFFHerschbachLaurieCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h